Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CosEventComm::PullSupplier Interface Reference

Define the interface implemented by pull-style suppliers. More...

`import "CosEventComm.idl";`

Inheritance diagram for CosEventComm::PullSupplier:

[legend]
List of all members.

## Public Methods
any | pull () raises (Disconnected)
| Pull (blocking) one event from the supplier.
any | try_pull (out boolean has_event) raises (Disconnected)
| Pull (non-blocking) one event from the supplier.
void | disconnect_pull_supplier ()
| The peer has disconnected from the pull-style supplier.

## Detailed Description

Define the interface implemented by pull-style suppliers.

A pull-style supplier passively generates events for the Event Service

## Member Function Documentation

void CosEventComm::PullSupplier::disconnect_pull_supplier | ( |  | ) |

| The peer has disconnected from the pull-style supplier. The disconnect_pull_supplier operation indicates that the peer has disconnected, for example, because it has been destroyed. The application can safe release all resource attached to this supplier and destroy it, the peer should not make any attempts to pull more data after this request.

any CosEventComm::PullSupplier::pull | ( |  | ) | raises (Disconnected)

  | Pull (blocking) one event from the supplier. The pull operation should block until the next event becomes available. Returns: The next event Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

any CosEventComm::PullSupplier::try_pull | ( | out boolean | has_event | ) | raises (Disconnected)

  | Pull (non-blocking) one event from the supplier. The try_pull operation does not block: if the event data is available, it returns the event data and sets the has_event parameter to true; if the event is not available, it sets the has_event parameter to false and the event data is returned as long with an undefined value. Parameters:
  has_event | Set to TRUE if there was another event available, FALSE otherwise.
  Returns: The next event if one was available, an any containing a 'long' with an undefined value otherwise. Exceptions:
  CosEventComm::Disconnected | if the object considers itself no longer connected to its peer.

The documentation for this interface was generated from the following file:

- CosEventComm.idl